none
error MSB8020: The builds tools for v120 (Platform Toolset = 'v120') cannot be found. To build using the v120 build tools, either click the Project menu or right-click the solution, and then select "Update VC++ Projects...". RRS feed

  • 问题

  • hey,guys.There is a problem in my project , and I found the solution (right-click the solution and click the update VC++..).But in my VS 2012 ultimate there is no update VC++ . So , what should I do to debug this project ?

    error MSB8020: The builds tools for v120 (Platform Toolset = 'v120') cannot be found. To build using the v120 build tools, either click the Project menu or right-click the solution, and then select "Update VC++ Projects...".

    2013年11月18日 6:40

答案

  • 你好:

    你是用VS2012遇到错误提示“error MSB8020: The builds tools for v120 (Platform Toolset = 'v120') cannot be found.”这个么,如果是的,我建议你打开工程属性把toolset设置成v110重新编译下,因为v120是VS2013里的,VS2012是不可以向上兼容的,VS2013是可以向下兼容v110的。你是在什么情况下遇到这个问题的呢,是不是你用VS2012打开一个在VS2013上生成的项目,如果是这样,你把工程的toolset改成v110就可以了。

    如果是我理解错了,请随时告诉我并提供详细信息。

    Hi,

    According to your description, as far as I know you need to change the toolset from v120 to v110. I think the reason that you come across this issue may be that you use VS2012 to open a project  created with VS2013. If I misunderstand you, please feel free to let me know and provide us with details.


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    2013年11月19日 2:09
    版主

全部回复

  • In my VS2012 there is no "Update VC++ Projects...". why?
    2013年11月18日 6:41
  • 你好:

    你是用VS2012遇到错误提示“error MSB8020: The builds tools for v120 (Platform Toolset = 'v120') cannot be found.”这个么,如果是的,我建议你打开工程属性把toolset设置成v110重新编译下,因为v120是VS2013里的,VS2012是不可以向上兼容的,VS2013是可以向下兼容v110的。你是在什么情况下遇到这个问题的呢,是不是你用VS2012打开一个在VS2013上生成的项目,如果是这样,你把工程的toolset改成v110就可以了。

    如果是我理解错了,请随时告诉我并提供详细信息。

    Hi,

    According to your description, as far as I know you need to change the toolset from v120 to v110. I think the reason that you come across this issue may be that you use VS2012 to open a project  created with VS2013. If I misunderstand you, please feel free to let me know and provide us with details.


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place. <br/> Click <a href="http://support.microsoft.com/common/survey.aspx?showpage=1&scid=sw%3Ben%3B3559&theme=tech"> HERE</a> to participate the survey.

    2013年11月19日 2:09
    版主